# Users

Users represent people with access to the Dfns platform. These can be either Employees of your company or end users of your service who do not work for you (either consumers or corporate clients). Alternatively, you can create [Service Accounts](/d/api-docs/authentication/service-account-management.md), which serve as API keys for programmatic access to the system.

When you call [Create User](/d/api-docs/authentication/user-management/createuser.md) providing an email address, an email will be sent from Dfns to the user to onboard them to the Dfns dashboard. Note in most cases, you will only do this for Employees and can accomplish this from the Settings section of our dashboard without using the API directly.

If you are implementing Delegated Signing in which your user has full control over a Dfns wallet, we recommend authenticating the user yourself, and then calling [delegated registration](/d/api-docs/authentication/delegated-auth/delegatedregistration.md) via a service account to register on behalf of the end user. This way, Dfns remains fully white labeled so your users will not know our platform exists.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/user-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
